<?php
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Style\Alignment;

// معلومات اتصال قاعدة البيانات
$servername = "vsrv681.armadaservers.com";
$username = "mint303_change_stock";
$password = "Plmokn123@";
$dbname = "mint303_change_stock";
$tableName = "alraedh";

// إنشاء اتصال قاعدة البيانات
$conn = new mysqli($servername, $username, $password, $dbname);

// التحقق من الاتصال
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// استرداد البيانات من قاعدة البيانات
$sql = "SELECT * FROM $tableName";
$result = $conn->query($sql);

$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

// إضافة العناوين للجدول
$sheet->setCellValue('A1', 'leads_id ');
$sheet->setCellValue('B1', 'Desire');
$sheet->setCellValue('C1', 'age');
$sheet->setCellValue('D1', 'Gender');
$sheet->setCellValue('E1', 'Career');
$sheet->setCellValue('F1', 'Nationality');
$sheet->setCellValue('G1', 'OtherCareer');
$sheet->setCellValue('H1', 'OtherNationality');
$sheet->setCellValue('I1', 'Contract_term');
$sheet->setCellValue('J1', 'carmodel');

// إضافة البيانات من قاعدة البيانات إلى ملف Excel
$row = 2;
while ($row <= $result->num_rows + 1) {
    $data = $result->fetch_assoc();
    $sheet->setCellValue('A' . $row, $data['leads_id ']);
    $sheet->setCellValue('B' . $row, $data['Desire']);
    $sheet->setCellValue('C' . $row, $data['age']);
    $sheet->setCellValue('D' . $row, $data['Gender']);
    $sheet->setCellValue('E' . $row, $data['Career']);
    $sheet->setCellValue('F' . $row, $data['Nationality']);
    $sheet->setCellValue('G' . $row, $data['OtherCareer']);
    $sheet->setCellValue('H' . $row, $data['OtherNationality']);
    $sheet->setCellValue('I' . $row, $data['Contract_term']);
    $sheet->setCellValue('J' . $row, $data['carmodel']);
    
    $row++;
}

// محاذاة البيانات في الجدول
$sheet->getStyle('A1:J1')->getAlignment()->setHorizontal(Alignment::HORIZONTAL_CENTER);

$filename = 'export.xlsx';

try {
    $writer = new Xlsx($spreadsheet);
    $writer->save($filename);
    
    // إرسال الملف للمستخدم
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header('Content-Disposition: attachment; filename="' . basename($filename) . '"');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    
    $writer->save('php://output');
    exit;
} catch (Exception $e) {
    echo "حدث خطأ أثناء إنشاء الملف: " . $e->getMessage();
}

// إغلاق اتصال قاعدة البيانات
$conn->close();
?>